.tg.site
	+transition(left)
	background: $content-bg-color
	box-shadow: $drop-shadow
	color: $text-color
	font: #{$font-size} / #{$line-height} $font-family-text
	margin: 0 auto
	max-width: map-get($widths, max)
	position: relative
	width: 92%

	+respond-to(medium)
		left: 0 // This has to be set for transition to work
		width: map-get($widths, medium)

	&:before
		background: url('../images/bg.svg') no-repeat
		content: ''
		margin-left: -125px
		position: absolute
		width: 280px
		height: 350px
		z-index: -1

		+respond-to(medium)
			+transition(opacity, z-index)
			background: rgba(#777, .5)
			display: block
			height: 100%
			width: 100%
			opacity: 0
			position: fixed
			right: 0
			z-index: -1

	&.-reveal-off-canvas
		+respond-to(medium)
			left: 61.8%

			&:before
				opacity: 1
				z-index: 9

	*
		box-sizing: border-box
